package com.spring.domain.schedule.error;

import org.springframework.http.HttpStatus;

import com.spring.common.error.ErrorRule;

import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor
public enum ScheduleRule implements ErrorRule {
    
    SCHEDULE_NOT_FOUND(HttpStatus.NOT_FOUND, "스케쥴 정보를 찾을 수 없습니다.");

    private final HttpStatus status;
    private String message;

    ScheduleRule(HttpStatus status, String message) {
        this.status = status;
        this.message = message;
    }

    public ScheduleRule message(final String message) {
        this.message = message;
        return this;
    }

}
